package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsConfig;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsConfigExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InventoryGoodsConfigMapper {
    
    int countByExample(InventoryGoodsConfigExample example);
    
    int deleteByExample(InventoryGoodsConfigExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(InventoryGoodsConfig record);
    
    int insertSelective(InventoryGoodsConfig record);
    
    List<InventoryGoodsConfig> selectByExample(InventoryGoodsConfigExample example);
    
    InventoryGoodsConfig selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") InventoryGoodsConfig record, @Param("example") InventoryGoodsConfigExample example);
    
    int updateByExample(@Param("record") InventoryGoodsConfig record, @Param("example") InventoryGoodsConfigExample example);
    
    int updateByPrimaryKeySelective(InventoryGoodsConfig record);
    
    int updateByPrimaryKey(InventoryGoodsConfig record);
    
    void batchInsert(@Param("items") List<InventoryGoodsConfig> items);
}